---
apiVersion: v1
kind: Service
metadata:
  name: inbiz-business
  namespace: edoc2
  labels:
    app: inbiz-business
spec:
  ports:
  - name: inbiz-business
    port: 5004
    targetPort: 5004
    protocol: TCP
  - name: business-grpc
    port: 15004
    targetPort: 15004
    protocol: TCP
  selector:
    app: inbiz-business
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: inbiz-business
  namespace: edoc2
  labels:
    app: inbiz-business
    k8s-app: inbiz-business
spec:
  replicas: 3
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app: inbiz-business
  template:
    metadata:
      labels:
        app: inbiz-business
    spec:
      hostname: inbiz-business
      terminationGracePeriodSeconds: 60
      containers:
      - name: inbiz-business
        image: registry.edoc2.com:5000/edoc2v5/inbiz-business:edrms-v6.1.0.0
        imagePullPolicy: IfNotPresent
        envFrom:
        - configMapRef:
            name: envfile
        securityContext:
          capabilities:
            add: ["SYS_PTRACE"]
        ports:
        - name: inbiz-business
          containerPort: 5004
        - name: business-grpc
          containerPort: 15004
        #resources:
        #  requests:
        #    memory: 24
        #    cpu: 8
        #  limits:
        #    memory: 24
        #    cpu: 8
      restartPolicy: Always
      nodeSelector:
        node.drive.nodelabels: InDrive
      #  nodetype: InDrive
